#include "pluginlistitem.h"


PluginListItem::PluginListItem(QListBox* listbox, const QPixmap& pix, const QString text) : QListBoxPixmap(listbox, pix, text) {
  mEnabled = true; 
  mText = text;
  mPix = pix;
  lb = listbox;
}

void PluginListItem::setPixmap(const QPixmap& pix) {
  mPix = pix;
  QListBoxPixmap(lb, mPix, mText);
  //pixmap() = (const QPixmap &) pix;
}


